MKNOD(1)

NUME
mknod - creează fișiere speciale bloc sau caracter

SINOPSIS
mknod [OPȚIUNE]... NUME TIP [MAJOR MINOR]

DESCRIERE

Creează fișierul special NUME de tip TIP.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-m, --mode=MOD
    stabilește biții de permisiune pentru fișiere la MOD, nu la a=rw - umask

-Z  stabilește contextul de securitate SELinux la tipul implicit

--context[=CTX]
    ca -Z, sau dacă este specificat CTX, stabilește contextul de securitate SELinux sau SMACK la CTX

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Atât MAJOR, cât și MINOR trebuie să fie specificate când TIP este „b”, „c” sau „u” și trebuie omise când TIP este „p”. Dacă MAJOR sau MINOR începe cu 0x sau cu 0X, este interpretat ca hexazecimal; în caz contrar, dacă începe cu 0, ca octal; altfel, ca zecimal. TIPUL poate fi:

b   creează un fișier special de bloc (cu memorie tampon)

c, u
    creează un fișier special de caractere (fără memorie tampon)

p   creează o conductă cu nume (FIFO)

Shell-ul dvs. poate avea propria sa versiune de «mknod», care de obicei înlocuiește versiunea descrisă aici. Consultați documentația shell-ului dvs. pentru detalii despre opțiunile pe care le acceptă.

AUTOR
Scris de David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
mknod(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/mknod>
sau local rulând comanda: «info '(coreutils) mknod invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.